开源中国

我们不支持 IE 10 及以下版本浏览器

It appears you’re using an unsupported browser

为了获得更好的浏览体验,我们强烈建议您使用较新版本的 Chrome、 Firefox、 Safari 等,或者升级到最新版本的IE浏览器。 如果您使用的是 IE 11 或以上版本,请关闭“兼容性视图”。
react-native-bottom-sheet首页、文档和下载 - React Native 相关 - 开源中国社区
全部项目分类
我要评价
MIT
Java
Android
本人dddd牛仔
分享
收藏
1 人收藏
收录时间:2017-04-18
react-native-bottom-sheet 详细介绍

react-native-bottom-sheet

Android Bottom Sheet 的 React Native 实现。

Demo


如何安装(How to install)

首先安装 npm 包(Install package from npm first)

npm install react-native-bottom-sheet --save

link(current may not support)

rnpm link

Edit android/settings.gradle to look like this (without the +):

rootProject.name = 'MyApp'

include ':app'

+ include ':react-native-bottom-sheet'
+ project(':react-native-bottom-sheet').projectDir = new File(rootProject.projectDir, '../node_modules/react-native-bottom-sheet/android')

Edit android/app/build.gradle (note: app folder) to look like this:

apply plugin: 'com.android.application'

android {
...
}

dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile "com.android.support:appcompat-v7:23.0.1"
compile "com.facebook.react:react-native:+"  // From node_modules
+ compile project(':react-native-bottom-sheet')
}

Edit your MainApplication.java (deep in android/app/src/main/java/...) to look like this (note two places to edit):

package com.myapp;

+ import com.gnet.bottomsheet.RNBottomSheetPackage;

....

@Override
protected List<ReactPackage> getPackages() {
    return Arrays.<ReactPackage>asList(
    new MainReactPackage()
+   , new RNBottomSheetPackage()
    );
}

}

注意:

  • rnpm 要求 node 版本在 4.1 及以上

  • Android SDK Build-tools 23.0.1 及以上版本


大家对 react-native-bottom-sheet 的评论 (全部 0 条评论)
{{repayCom.userName}}
顶部